---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libclassload01.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x4E8, symBinAddr: 0x29CC, symSize: 0x274 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x1DA48, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL12counter_lock, symObjAddr: 0x1DB98, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0xF5, offset: 0xF5, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x1DBA0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x127, offset: 0x127, size: 0x8, addend: 0x0, symName: __ZL9unexpSigs, symObjAddr: 0x24C0, symBinAddr: 0x4018, symSize: 0x0 }
  - { offsetInCU: 0x14C, offset: 0x14C, size: 0x8, addend: 0x0, symName: __ZL18expThreadIsVirtual, symObjAddr: 0x24BB, symBinAddr: 0x3F22, symSize: 0x0 }
  - { offsetInCU: 0x188, offset: 0x188, size: 0x8, addend: 0x0, symName: __ZL9clsEvents, symObjAddr: 0x1DBA4, symBinAddr: 0x8184, symSize: 0x0 }
  - { offsetInCU: 0x1B2, offset: 0x1B2, size: 0x8, addend: 0x0, symName: __ZL13primClsEvents, symObjAddr: 0x1DBB0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x1D7, offset: 0x1D7, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1DBF8, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x8DC3, offset: 0x8DC3, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x1DC00, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x8E54, offset: 0x8E54, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x2C40, symSize: 0x24 }
  - { offsetInCU: 0x90E0, offset: 0x90E0, size: 0x8, addend: 0x0, symName: __Z17print_thread_infoP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x37C, symBinAddr: 0x2860, symSize: 0x16C }
  - { offsetInCU: 0x9562, offset: 0x9562, size: 0x8, addend: 0x0, symName: _ClassLoad, symObjAddr: 0xC70, symBinAddr: 0x2C64, symSize: 0x2B0 }
  - { offsetInCU: 0x9941, offset: 0x9941, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0xF20, symBinAddr: 0x2F14, symSize: 0x90 }
  - { offsetInCU: 0x9A21, offset: 0x9A21, size: 0x8, addend: 0x0, symName: _Java_classload01_check, symObjAddr: 0xFB0, symBinAddr: 0x2FA4, symSize: 0x140 }
  - { offsetInCU: 0x9BC8, offset: 0x9BC8, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x10F0, symBinAddr: 0x30E4, symSize: 0x240 }
  - { offsetInCU: 0x9E6B, offset: 0x9E6B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1330, symBinAddr: 0x3324, symSize: 0x4 }
  - { offsetInCU: 0x9EAF, offset: 0x9EAF, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1330, symBinAddr: 0x3324, symSize: 0x4 }
  - { offsetInCU: 0x9EC1, offset: 0x9EC1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1334, symBinAddr: 0x3328, symSize: 0x4 }
  - { offsetInCU: 0x9F05, offset: 0x9F05, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1334, symBinAddr: 0x3328, symSize: 0x4 }
...
